#!/bin/sh

#  ipainfo.sh
#  clm
#
#  Created by Jason Kingan on 11/12/13.
#  Copyright (c) 2013 Century Software. All rights reserved.

PLIST=/usr/libexec/PlistBuddy

#Find provisioning profile info script

SCRIPTDIR=$(dirname "$0")

pushd "$SCRIPTDIR" > /dev/null 2>&1
PROVINFO="$(pwd)/app-idents.pl"
popd > /dev/null 2>&1
if [ $# -lt "1" ]
then
    echo "Usage: $(basename $0) <ipafile> <keys>"
    exit -1
fi

if [ ! -f "$1" ]
then
    echo "IPA file \"$1\" not found."
    exit -2
fi

IPAFILE="$1"
EXTRACTDIR="$(mktemp -d ${TMPDIR}ipaXXX)"

function cleanup
{
    popd > /dev/null 2>&1
    rm -rf "$EXTRACTDIR"
}

function infoValue
{
    if [ $# != "1" ]
    then
        echo "infoValue called with no args"
        exit -4
    fi

    echo $($PLIST Info.plist -c "Print $1")
}

unzip "$IPAFILE" -d "$EXTRACTDIR" > /dev/null 2>&1

pushd "$EXTRACTDIR" > /dev/null 2>&1

if [ ! -d ./Payload ]
then
    echo "\"$IPAFILE\" is not an ipa file"
    cleanup
    exit -3
fi

cd Payload/*.app

#BUNDLEID=$(infoValue CFBundleIdentifier)
#SHORTVERSION=$(infoValue CFBundleShortVersionString)
#BUILDNUMBER=$(infoValue CFBundleVersion)
#VERSION="$SHORTVERSION ($BUILDNUMBER)"
#DISPLAYNAME=$(infoValue CFBundleDisplayName)
#EXECUTABLE=$(infoValue CFBundleExecutable)
#PROVISIONING=($("$PROVINFO" .))
ACCTCODE=$(infoValue accountCode)

for var in "${@:2}"
do
    info=$(infoValue $var)

    echo "$var="$(infoValue $var)
done

if [ -f codepage.dat ] || [ -f ibmcodepage.dat ]
then
    APPVALID=1
else
    APPVALID=0
fi

#echo bundleID=$BUNDLEID
#echo version=$VERSION
#echo executable=$EXECUTABLE
#echo displayName=$DISPLAYNAME
#echo provisionID=${PROVISIONING[1]}
echo accountCode=$ACCTCODE
echo appValid=$APPVALID

cleanup
